Extending Qt Creator Manual | ProcessExtraCompiler

Extending Qt Creator Manual 4.5.2

# ProcessExtraCompiler Class

(ProjectExplorer::ProcessExtraCompiler)

Inherits: | ProjectExplorer::ExtraCompiler

- List of all members, including inherited members

## Public Functions

| ProcessExtraCompiler(const Project *project, const Utils::FileName &source, const Utils::FileNameList &targets, QObject *parent = nullptr)
| ~ProcessExtraCompiler()

- 8 public functions inherited from ProjectExplorer::ExtraCompiler

## Protected Functions

virtual QStringList | arguments() const
virtual Utils::FileName | command() const = 0
virtual void | handleProcessError(QProcess *process)
virtual FileNameToContentsHash | handleProcessFinished(QProcess *process) = 0
virtual void | handleProcessStarted(QProcess *process, const QByteArray &sourceContents)
virtual QList<Task> | parseIssues(const QByteArray &stdErr)
virtual bool | prepareToRun(const QByteArray &sourceContents)
virtual Utils::FileName | workingDirectory() const

## Reimplemented Protected Functions

virtual void | run(const QByteArray &sourceContents) override
virtual void | run(const Utils::FileName &fileName) override

- 2 protected functions inherited from ProjectExplorer::ExtraCompiler

### Additional Inherited Members

- 1 signal inherited from ProjectExplorer::ExtraCompiler
- 1 static public member inherited from ProjectExplorer::ExtraCompiler

## Member Function Documentation

### ProcessExtraCompiler::ProcessExtraCompiler(const Project *project, const Utils::FileName &source, const Utils::FileNameList &targets, QObject *parent = nullptr)

Default constructs an instance of ProcessExtraCompiler.

### ProcessExtraCompiler::~ProcessExtraCompiler()

Destroys the instance of ProcessExtraCompiler.

### `[virtual protected]` QStringList ProcessExtraCompiler::arguments() const

### `[pure virtual protected]` Utils::FileName ProcessExtraCompiler::command() const

### `[virtual protected]` void ProcessExtraCompiler::handleProcessError(QProcess *process)

### `[pure virtual protected]` FileNameToContentsHash ProcessExtraCompiler::handleProcessFinished(QProcess *process)

### `[virtual protected]` void ProcessExtraCompiler::handleProcessStarted(QProcess *process, const QByteArray &sourceContents)

### `[virtual protected]` QList<Task> ProcessExtraCompiler::parseIssues(const QByteArray &stdErr)

### `[virtual protected]` bool ProcessExtraCompiler::prepareToRun(const QByteArray &sourceContents)

### `[override virtual protected]` void ProcessExtraCompiler::run(const QByteArray &sourceContents)

### `[override virtual protected]` void ProcessExtraCompiler::run(const Utils::FileName &fileName)

### `[virtual protected]` Utils::FileName ProcessExtraCompiler::workingDirectory() const